Freeciv-3.1: research Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Data Fields
research Struct Reference

`#include <research.h>`

## Data Structures

struct | research_invention

## Data Fields

int | techs_researched
int | future_tech
Tech_type_id | researching
int | bulbs_researched
Tech_type_id | researching_saved
int | bulbs_researching_saved
bool | got_tech
bool | got_tech_multi
struct research::research_invention | inventions [A_ARRAY_SIZE]
Tech_type_id | tech_goal
int | num_known_tech_with_flag [TF_COUNT]
union { |
struct { |
int researching_cost |
int total_bulbs_prod |
} client |
}; |  |

## Detailed Description

Definition at line 39 of file research.h.

## Field Documentation

## ◆ [union]

union { ... } research

## ◆ bulbs_researched

int research::bulbs_researched

Definition at line 53 of file research.h.

Referenced by choose_tech(), client_research_sprite(), dai_manage_taxes(), dai_manage_tech(), found_new_tech(), get_bulb_tooltip(), get_science_goal_text(), get_science_target_text(), handle_edit_player(), handle_research_info(), lose_tech(), plr_widget::nation_selected(), objbind_get_value_from_object(), package_research_info(), real_science_report_dialog_update(), research_apply_penalty(), set_indicator_icons(), sg_load_researches(), sg_load_researches(), show_new_turn_info(), split_player(), tech_researched(), turns_to_research_done(), turns_to_tech_loss(), update_bulbs(), update_intel_dialog(), and science_report::update_report().

## ◆ bulbs_researching_saved

int research::bulbs_researching_saved

Definition at line 63 of file research.h.

Referenced by choose_tech(), sg_load_researches(), sg_load_researches(), and update_bulbs().

## ◆ [struct]

struct { ... } research::client

Referenced by client_research_sprite(), get_bulb_tooltip(), get_bulbs_per_turn(), get_science_target_text(), handle_research_info(), plr_widget::nation_selected(), real_science_report_dialog_update(), set_indicator_icons(), show_new_turn_info(), turns_per_advance(), turns_to_research_done(), turns_to_tech_loss(), update_intel_dialog(), and science_report::update_report().

## ◆ future_tech

int research::future_tech

Definition at line 42 of file research.h.

Referenced by calc_civ_score(), diplomat_get_tech(), found_new_tech(), handle_research_info(), handle_unknown_research(), historian_generic(), lose_tech(), package_research_info(), player_tech_upkeep(), recalculate_techs_researched(), research_advance_name_translation(), research_advance_rule_name(), research_tech_lost(), research_total_bulbs_required(), researches_init(), sg_load_researches(), sg_load_researches(), split_player(), steal_a_tech(), and update_bulbs().

## ◆ got_tech

bool research::got_tech

Definition at line 67 of file research.h.

Referenced by choose_tech(), dai_manage_tech(), end_phase(), found_new_tech(), sg_load_researches(), and sg_load_researches().

## ◆ got_tech_multi

bool research::got_tech_multi

Definition at line 69 of file research.h.

Referenced by choose_tech(), end_phase(), found_new_tech(), and sg_load_researches().

## ◆ inventions

struct research::research_invention research::inventions[A_ARRAY_SIZE]

Referenced by choose_tech(), init_tech(), package_research_info(), research_get_reachable(), research_get_reachable_rreqs(), research_get_root_reqs_known(), research_goal_bulbs_required(), research_goal_tech_req(), research_goal_unknown_techs(), research_invention_gettable(), research_invention_reachable(), research_invention_set(), research_invention_state(), research_update(), researches_init(), science_report_update(), sg_load_researches(), side_right_click_science(), split_player(), tech_researched(), update_bulbs(), and science_report::update_report().

## ◆ num_known_tech_with_flag

int research::num_known_tech_with_flag[TF_COUNT]

Definition at line 90 of file research.h.

Referenced by num_known_tech_with_flag(), and research_update().

## ◆ researching

Tech_type_id research::researching

Definition at line 52 of file research.h.

Referenced by choose_random_tech(), choose_tech(), client_research_sprite(), dai_choose_diplomat_offensive(), dai_manage_tech(), dai_select_tech(), dai_treaty_evaluate(), end_phase(), found_new_tech(), get_bulb_tooltip(), get_edge_type(), get_info_label_text_popup(), get_researching_info(), get_science_goal_text(), get_science_target_text(), handle_edit_player(), handle_research_info(), handle_unknown_research(), lose_tech(), plr_widget::nation_selected(), node_color(), package_research_info(), pick_free_tech(), player_has_really_useful_tech_parasite(), real_science_report_dialog_update(), researches_init(), science_dialog_text(), science_report_current_callback(), science_report_dialog_popup(), science_report_redraw(), science_report_update(), set_indicator_icons(), sg_load_researches(), sg_load_researches(), show_new_turn_info(), side_right_click_science(), split_player(), tech_researched(), update_bulbs(), update_intel_dialog(), and science_report::update_report().

## ◆ researching_cost

int research::researching_cost

Definition at line 98 of file research.h.

Referenced by client_research_sprite(), get_bulb_tooltip(), get_science_target_text(), handle_research_info(), plr_widget::nation_selected(), real_science_report_dialog_update(), set_indicator_icons(), show_new_turn_info(), turns_per_advance(), turns_to_research_done(), turns_to_tech_loss(), update_intel_dialog(), and science_report::update_report().

## ◆ researching_saved

Tech_type_id research::researching_saved

Definition at line 62 of file research.h.

Referenced by choose_tech(), end_phase(), found_new_tech(), research_apply_penalty(), researches_init(), sg_load_researches(), sg_load_researches(), split_player(), and update_bulbs().

## ◆ tech_goal

Tech_type_id research::tech_goal

Definition at line 85 of file research.h.

Referenced by choose_tech_goal(), dai_manage_tech(), dai_select_tech(), dai_treaty_evaluate(), end_phase(), found_new_tech(), get_edge_type(), handle_edit_player(), handle_player_tech_goal(), handle_research_info(), handle_unknown_research(), init_tech(), node_color(), package_research_info(), real_science_report_dialog_update(), researches_init(), science_report_dialog_popup(), science_report_update(), sg_load_researches(), sg_load_researches(), split_player(), and science_report::update_report().

## ◆ techs_researched

int research::techs_researched

Definition at line 42 of file research.h.

Referenced by dai_choose_diplomat_offensive(), dai_goldequiv_clause(), find_city_to_diplomat(), found_new_tech(), handle_edit_player(), handle_research_info(), init_tech(), is_mintechs_req_active(), lose_tech(), package_research_info(), player_tech_upkeep(), real_science_report_dialog_update(), research_tech_lost(), research_total_bulbs_required(), research_update(), sg_load_researches(), sg_load_researches(), and split_player().

## ◆ total_bulbs_prod

int research::total_bulbs_prod

Definition at line 99 of file research.h.

Referenced by get_bulbs_per_turn(), and handle_research_info().